/*
 * Copyright (c) 2009, Girish Rao
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * Redistributions of source code must retain the above copyright 
 * notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright 
 * notice, this list of conditions and the following disclaimer in the 
 * documentation and/or other materials provided with the distribution.
 * The names of its contributors may be used to endorse or promote products 
 * derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS 
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT i
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE.
 */

#ifndef	_DEFINE_H_
#define	_DEFINE_H_

#define	MAX_LETRS	7
#define	MIN_LETRS	4
#define	NCOMBINATIONS	42

#define MAX_SOL		24	/* defaults */
#define MIN_SOL		3
#define MMAX_SOL	999	/* hard limits */
#define MMIN_SOL	1	
#define MGAP_SOL	0	/* minimum (MAX_SOL - MIN_SOL) */

/* must be 6 entries. duplicates are ok */
const char* const Ratings[6] = { "Newbie", "Average", 
								 "Good", "Very Good", 
								 "Outstanding", "Inhuman" };	

#define PRECOMP		false

#ifndef DICTPATH
# define DICTPATH	"dict/words.txt"
#endif /* DICTPATH */

#define	DICTBIN		"spellathon.dat"

#define MAGIC		"Spellathon"

#define VERSION		"5.34"

#endif /* _DEFINE_H_ */
